// cPictureBook.h: interface for the cPictureBook class.
//
//////////////////////////////////////////////////////////////////////

#ifndef cPictureBook_H
#define cPictureBook_H

#include "cPicture.h"
#include "cMedium.h"
#include "cArray.h"

class cPictureBook : public cArray<cPicture>{
public:
	cPictureBook();
	virtual ~cPictureBook();

	cPicture *GetPicture(int Idx);
	BOOL LoadPicture(int Idx, char *FileName);
	BOOL CropPicture(int DestIdx, int SrcIdx, int Left, int Top, int Right, int Bottom);
	BOOL AutoCropPicture(char *FileName, int PictureCount, int Width, int Height);
	
};

#endif
